import React, { memo } from 'react';
import "./index.less";
import MediaDisplay from "../MediaDisplay";

/**
 * BrandPanel 品牌区组件
 * @description 登录页面左侧品牌展示区域，支持轮播图片/视频（预留），当前仅展示 Logo
 */
var BrandPanel = /*#__PURE__*/memo(function (props) {
  var config = props.config,
    _props$className = props.className,
    className = _props$className === void 0 ? '' : _props$className;
  return /*#__PURE__*/React.createElement("div", {
    className: "webpos-login-brand-panel ".concat(className).trim()
  }, /*#__PURE__*/React.createElement(MediaDisplay, {
    config: {
      carouselItems: config
    }
  }));
});
BrandPanel.displayName = 'BrandPanel';
export default BrandPanel;